<?php

namespace TelegramApi\Types;

class InlineQueryResultCachedVoice extends InlineQueryResult
{
	/** @var Type Description */
	public Type $field;

	/** @var string Type of the result, must be voice */
	public string $type = 'voice';

	/** @var string Unique identifier for this result, 1-64 bytes */
	public string $id;

	/** @var string A valid file identifier for the voice message */
	public string $voiceFileId;

	/** @var string Voice message title */
	public string $title;

	/** @var string|null Optional. Caption, 0-200 characters */
	public ?string $caption = null;

	/** @var InlineKeyboardMarkup|null Optional. Inline keyboard attached to the message */
	public ?InlineKeyboardMarkup $replyMarkup = null;

	/** @var InputMessageContent|null Optional. Content of the message to be sent instead of the voice message */
	public ?InputMessageContent $inputMessageContent = null;
}
