<?php

namespace TelegramApi\Types;

class InlineQueryResultLocation extends InlineQueryResult
{
	/** @var Type Description */
	public Type $field;

	/** @var string Type of the result, must be location */
	public string $type = 'location';

	/** @var string Unique identifier for this result, 1-64 Bytes */
	public string $id;

	/** @var float Location latitude in degrees */
	public float $latitude;

	/** @var float Location longitude in degrees */
	public float $longitude;

	/** @var string Location title */
	public string $title;

	/** @var InlineKeyboardMarkup|null Optional. Inline keyboard attached to the message */
	public ?InlineKeyboardMarkup $replyMarkup = null;

	/** @var InputMessageContent|null Optional. Content of the message to be sent instead of the location */
	public ?InputMessageContent $inputMessageContent = null;

	/** @var string|null Optional. Url of the thumbnail for the result */
	public ?string $thumbUrl = null;

	/** @var int|null Optional. Thumbnail width */
	public ?int $thumbWidth = null;

	/** @var int|null Optional. Thumbnail height */
	public ?int $thumbHeight = null;
}
