<?php

namespace TelegramApi\Types;

class WebhookInfo implements TypeInterface
{
	/** @var Type Description */
	public Type $field;

	/** @var string Webhook URL, may be empty if webhook is not set up */
	public string $url;

	/** @var bool True, if a custom certificate was provided for webhook certificate checks */
	public bool $hasCustomCertificate;

	/** @var int Number of updates awaiting delivery */
	public int $pendingUpdateCount;

	/** @var int|null Optional. Unix time for the most recent error that happened when trying to deliver an update via webhook */
	public ?int $lastErrorDate = null;

	/** @var string|null Optional. Error message in human-readable format for the most recent error that happened when trying to deliver an update via webhook */
	public ?string $lastErrorMessage = null;

	/** @var int|null Optional. Maximum allowed number of simultaneous HTTPS connections to the webhook for update delivery */
	public ?int $maxConnections = null;

	/** @var Array<string>|null Optional. A list of update types the bot is subscribed to. Defaults to all update types */
	public ?array $allowedUpdates = null;
}
